#3DBUTTON Test Application Make file for Borland C++
#Copyright (C) 1991 Mark S. Douglas
#All Rights Reserved.

#SYNTAX: MAKE -f3DTEST.MAK [-DM=s|c|m|l|h] [-DDEBUG]

#This make file expects the enviornment variable INCLUDE to point to the
#Borland C++ include files.  Also, the environment variable LIB should point
#to the Borland C++ library files.

#Automatically compare include files
.autodepend

!if !$d(M)
M = s
!endif


PATH_OBJS   =

BCC_OPTIONS = -c -I$(INCLUDE) -m$(M) -n$(PATH_OBJS) -o$& -w -WE

BCC_DEBUG   = -O- -r- -v -y

BCC_NDEBUG  = -d -G -O -Z

LNK_OPTIONS = -c -L$(LIB) -n -Tw

LNK_DEBUG   = -v

LNK_NDEBUG  =

!if $d(DEBUG)
BCC_EXTRA   = $(BCC_DEBUG)
LNK_EXTRA   = $(LNK_DEBUG)
CMSG        = *** Making Debug Object File ***
LMSG        = *** Making Debug Executable ***
!else
BCC_EXTRA   = $(BCC_NDEBUG)
LNK_EXTRA   = $(LNK_NDEBUG)
CMSG        = *** Making Optimized Object File ***
LMSG        = *** Making Optimized Executable ***
!endif

BCC         = bcc $(BCC_OPTIONS) $(BCC_EXTRA)

LNK         = tlink $(LNK_OPTIONS) $(LNK_EXTRA)


OBJS = 3dbutton.obj 3dtest.obj


.c.obj:
    @echo $(CMSG)
    $(BCC) $&.c

3dtest.exe: $(OBJS) 3dtest.res 3dtest.def
    @echo $(LMSG)
    $(LNK) @&&!
C0W$(M).OBJ $(OBJS),$.,,CWIN$(M).LIB IMPORT.LIB MATH$(M).LIB C$(M).LIB,$*.DEF
!
    rc $*.RES $*.EXE
